Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemComment

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemComment

public class ElemComment
extends ElemTemplateElement

Implement xsl:comment.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  section-Creating-Comments in XSLT Specification, Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemComment()`

Method Summary
`ElemTemplateElement` | `appendChild(ElemTemplateElement newChild)` Add a child to the child list.
`void` | `execute(TransformerImpl transformer)` Execute the xsl:comment transformation
`java.lang.String` | `getNodeName()` Return the node name.
`int` | `getXSLToken()` Get an int constant identifying the type of element.

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemComment

    public ElemComment()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    This element's name
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Execute the xsl:comment transformation

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemTemplateElement

### appendChild

    public ElemTemplateElement appendChild(ElemTemplateElement newChild)

  Add a child to the child list.

  Parameters:
    `newChild` - Child to add to this node's child list
  Returns:
    Child that was just added to child list
  Throws:
    DOMException -
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference